body {
    background-color: #97b4de;
    font-family: 'Lobster', cursive;
    color: #010101;
    margin: 0;
    padding: 0;
}

.container {
    width: 80%;
    margin: 0 auto;
    text-align: center;
    padding: 20px;
    box-sizing: border-box;
}

.dice {
    display: inline-block;
    margin: 20px;
}

h1 {
    font-size: 3rem;
    margin-bottom: 30px;
    text-shadow: 2px 2px #515964;
}

p {
    font-size: 1.5rem;
    font-family: 'Indie Flower', cursive;
    margin-bottom: 20px;
}

img {
    width: 100%;
    max-width: 200px;
    height: auto;
    border-radius: 20px;
   

}

#roll-button {
    background-color: #fff;
    color: #030303;
    border: none;
    border-radius: 7px;
    padding: 15px 40px;
    font-size: 1.5rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin: 0 auto; 
    display: block; 
}

#roll-button:hover {
    background-color:#6590cd;
}

footer {
    margin-top: 5%;
    color: #EEEEEE;
    text-align: center;
    font-family: 'Indie Flower', cursive;
    background-color: #010101;
    padding: 10px 0;
    position: fixed;
    width: 100%;
    bottom: 0;
}

/* Media Query for Small Screens */
@media screen and (max-width: 480px) {
    .container {
        width: 90%;
    }

    h1 {
        font-size: 2rem;
        margin-bottom: 20px;
    }

    p {
        font-size: 1.2rem;
        margin-bottom: 15px;
    }

    img {
        max-width: 150px;
        border-radius: 15px;
    }

    #roll-button {
        padding: 10px 30px;
        font-size: 1.2rem;
    }
}

/* Media Query for Small Screens */
@media screen and (max-width: 480px) {
    .container {
        width: 90%;
    }

    h1 {
        font-size: 2rem;
        
    }

    p {
        font-size: 1.2rem;
        margin-bottom: 15px;
    }

    img {
        max-width: 150px;
        max-height: 150px;
        border-radius: 15px;
    }

    #roll-button {
        padding: 10px 30px;
        font-size: 1.2rem;
    }
}